Turtle.Pattern

# Pattern

data Pattern a

match

# Primitive patterns

anyChar

eof

# Character patterns

dot

satisfy

char

notChar

text

asciiCI

oneOf

noneOf

space

spaces

spaces1

tab

newline

crlf

upper

lower

alphaNum

letter

digit

hexDigit

octDigit

# Numbers

decimal

signed

# Combinators

prefix

suffix

has

begins

ends

contains

invert

once

star

plus

selfless

choice

count

lowerBounded

upperBounded

bounded

option

between

skip

within

fixed

sepBy

sepBy1

# High-efficiency primitives

chars

chars1